changeRol();
datosEmpleado();
$('#funcionario_id').on('change', datosEmpleado);
function changeRol()
{
    $('#unidad_id').prop('disabled', false);
    if ($('#role_id').val() > 3 )
    {
        $('#unidad_id').prop('disabled', false);
    }
    else
    {
        $('#unidad_id').prop('disabled', true);
        $('#unidad_id').val('');
        
    }
}
$("#fileInput").change(function () { //Cuando el input ccambie (se cargue un nuevo archivo) se va a ejecutar de nuevo el cambio de imagen y se verá reflejado.
    readURL(this);
});
function readURL(input) {
    if (input.files && input.files[0]) { //Revisamos que el input tenga contenido
        var reader = new FileReader(); //Leemos el contenido

        reader.onload = function (e) { //Al cargar el contenido lo pasamos como atributo de la imagen de arriba
            $('#imagen').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
    }
}
function datosEmpleado(){
    var empleado=$('#funcionario_id').val();
    if (empleado != 0) {
        var ruta=$('#funcionario_id').data('ruta');
        $.ajax({
            method: 'get',
            url: ruta,
            data: {ci:empleado},
            dataType: 'JSON',
            success: function (respuesta)
            { 
                console.log(respuesta);
                $('#name').val(respuesta.nombre);
                //$('#username').val(respuesta.login);
                $('#cargo').val(respuesta.cargo);
            

                $('#email').focus();
            },
            error: function (data) {
                console.log('error '+data);
            }
    
        })
    }
}

$("#funcionario_id").select2({
    templateResult: formatoOpcion,
    templateSelection: formatoOpcion
});

function formatoOpcion(opcion) {
    if (!opcion.id) {
        return opcion.text;
    }
    var $opcion = $(opcion.element);
    var textoCompleto = $opcion.text();
    var partes = textoCompleto.split(' - ');
    
    if (partes.length > 0) {
        var $resultado = $(
            '<span><strong>' + partes[0] + ' - '+ partes[1] + '</strong><br>' +
            'CI: '  + partes[6] +'<br>' +
            'Cargo: '  + partes[2] +'<br>' +
            'Unidad: '+ partes[3] + '' + partes[4] + '-' + partes[5] + '</span>' 
        );
        return $resultado;
    }
    
    return textoCompleto;
}